extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Breadcrumbs Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Breadcrumbs Vue Component
      script(src="/js/motion/breadcrumbs.js")
      f7-motion-breadcrumbs(motion)

    p Breadcrumbs Vue component represents Framework7's <a href="../docs/breadcrumbs.html">Breadcrumbs</a> component.
    h2 Breadcrumbs Components
    p There are following components included:
    ul
      li `f7-breadcrumbs`
      li `f7-breadcrumbs-item`
      li `f7-breadcrumbs-separator`
      li `f7-breadcrumbs-collapsed`
    h2 Breadcrumbs Properties
     table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-breadcrumbs-item&gt; properties
        tr
          td active
          td boolean
          td
          td Marks breadcrumb item as active/current (usually last item in breadcrumbs)

    h2 Breadcrumbs Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;f7-breadcrumbs-item&gt; events
        tr
          td click
          td Fires on breadcrumbs item click
        tr
          th(colspan="2") &lt;f7-breadcrumbs-collapsed&gt; events
        tr
          td click
          td Fires on breadcrumbs collapsed click


    h2 Examples
    +examplePreview('vue', 'breadcrumbs.vue', 'breadcrumbs')
